summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author titopoquito2010-07-02 17:29:27 +0200
committer Robby Workman2010-07-02 17:29:27 +0200
commit9fa35848e1a9c5437741c9c1be0e8df34be8c108 (patch)
tree62fbec8e05edd4c49ae42c0ebb81072eb29a57fd
parent58b52f5224410fb630db3d7b2f0e4724b6ed4999 (diff)
downloadslackbuilds-9fa35848e1a9c5437741c9c1be0e8df34be8c108.tar.gz
desktop/recoll: Added (full text search tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--desktop/recoll/README7
-rw-r--r--desktop/recoll/doinst.sh10
-rw-r--r--desktop/recoll/recoll.SlackBuild104
-rw-r--r--desktop/recoll/recoll.info10
-rw-r--r--desktop/recoll/slack-desc19
5 files changed, 150 insertions, 0 deletions
diff --git a/desktop/recoll/README b/desktop/recoll/README
new file mode 100644
index 0000000000..c0b580d93f
--- /dev/null
+++ b/desktop/recoll/README
@@ -0,0 +1,7 @@
+Recoll is a personal full text search tool for Unix/Linux.
+It is based on the very strong Xapian backend, for which it provides an
+easy to use, feature-rich, easy administration, QT graphical interface.
+Recoll is able to include several separate folders in its search.
+
+This requires xapian-core.
+optional dependencies are antiword, unrtf, and exiftool.
diff --git a/desktop/recoll/doinst.sh b/desktop/recoll/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/desktop/recoll/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/recoll/recoll.SlackBuild b/desktop/recoll/recoll.SlackBuild
new file mode 100644
index 0000000000..b583f553e0
--- /dev/null
+++ b/desktop/recoll/recoll.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for recoll
+
+# Written by titopoquito (titopoquito@gmail.com)
+
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org Project
+
+PRGNAM=recoll
+VERSION=${VERSION:-1.13.04}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING INSTALL README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/recoll/recoll.info b/desktop/recoll/recoll.info
new file mode 100644
index 0000000000..400615cb26
--- /dev/null
+++ b/desktop/recoll/recoll.info
@@ -0,0 +1,10 @@
+PRGNAM="recoll"
+VERSION="1.13.04"
+HOMEPAGE="http://www.lesbonscomptes.com/recoll/"
+DOWNLOAD="http://www.lesbonscomptes.com/recoll/recoll-1.13.04.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="eba9d639dbac149996a92b9b2dffc5ee"
+MD5SUM_x86_64=""
+MAINTAINER="titopoquito"
+EMAIL="titopoquito@gmail.com"
+APPROVED="rworkman"
diff --git a/desktop/recoll/slack-desc b/desktop/recoll/slack-desc
new file mode 100644
index 0000000000..400b109407
--- /dev/null
+++ b/desktop/recoll/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+recoll: recoll (personal full text search tool)
+recoll:
+recoll: Recoll is a personal full text search tool for Unix/Linux.
+recoll: It is based on the very strong Xapian backend, for which it
+recoll: provides an easy to use, feature-rich, easy administration,
+recoll: QT graphical interface.
+recoll:
+recoll: http://www.lesbonscomptes.com/recoll/
+recoll:
+recoll:
+recoll: